 MAPPINGS:
  - KEY: KEY_SPACE
    TAP: KEY_SPACE
    HOLD: KEY_RIGHTCTRL

# Level 2 modifiers (Shift modifiers)

  - KEY: KEY_SLASH
    TAP: KEY_SLASH
    HOLD: KEY_RIGHTSHIFT

  - KEY: KEY_102ND
    TAP: KEY_102ND
    HOLD: KEY_LEFTSHIFT

  - KEY: KEY_LEFTSHIFT
    TAP: KEY_102ND
    HOLD: KEY_LEFTSHIFT

# Level 3 modifiers (Special symbols)

  - KEY: KEY_APOSTROPHE
    TAP: KEY_F14
    HOLD: KEY_APOSTROPHE

  - KEY: KEY_CAPSLOCK
    TAP: KEY_F14
    HOLD: KEY_APOSTROPHE

# Level 4 modifiers (Numbers and Arrows)

  - KEY: KEY_LEFTALT
    TAP: KEY_F15
    HOLD: KEY_RIGHTALT 

  - KEY: KEY_RIGHTALT
    TAP: KEY_F15
    HOLD: KEY_RIGHTALT 
    
# Level 5 modifiers (Lowercase Greek letters)

  - KEY: KEY_RIGHTSHIFT
    TAP: [KEY_CAPSLOCK, KEY_RIGHTSHIFT]
    HOLD: [KEY_CAPSLOCK, KEY_RIGHTSHIFT]

  - KEY: KEY_9
    TAP: KEY_E
    HOLD: [KEY_CAPSLOCK, KEY_RIGHTSHIFT]

  - KEY: KEY_E
    TAP: KEY_E
    HOLD: [KEY_BACKSLASH, KEY_GRAVE]

# Level 6 modifiers (Math symbols)

  - KEY: KEY_8
    TAP: KEY_SCROLLLOCK
    HOLD: [KEY_RIGHTALT, KEY_RIGHTSHIFT]

  - KEY: KEY_4
    TAP: KEY_SCROLLLOCK
    HOLD: [KEY_8, KEY_GRAVE]


# Level 7 modifiers (Uppercase Greek letters)

  - KEY: KEY_TAB
    TAP: KEY_RIGHTBRACE
    HOLD: [KEY_CAPSLOCK, KEY_RIGHTALT]

  - KEY: KEY_RIGHTBRACE
    TAP: KEY_RIGHTBRACE
    HOLD: [KEY_CAPSLOCK, KEY_RIGHTALT]

  - KEY: KEY_7
    TAP: KEY_SCROLLLOCK
    HOLD: [KEY_CAPSLOCK, KEY_RIGHTALT]

# Level 8 modifiers (Cyrillic letters)

  - KEY: KEY_COMPOSE
    TAP: KEY_6
    HOLD: [KEY_RIGHTALT, KEY_CAPSLOCK, KEY_RIGHTSHIFT]

  - KEY: KEY_LEFTMETA
    TAP: KEY_6
    HOLD: [KEY_RIGHTALT, KEY_CAPSLOCK, KEY_LEFTSHIFT]

  - KEY: KEY_6
    TAP: KEY_6
    HOLD: KEY_6


# Use 2, 3, 4 and 5 keys to navigate between tabs and programs (3 key is configured in xkb) 

  # - KEY: KEY_4
  #   TAP: KEY_LEFTMETA
  #   HOLD: KEY_LEFTALT

  - KEY: KEY_5
    TAP: KEY_RIGHTCTRL
    HOLD: KEY_RIGHTCTRL 

  - KEY: KEY_2
    TAP: [KEY_LEFTSHIFT, KEY_TAB]
    HOLD: [KEY_LEFTSHIFT, KEY_TAB]


# Configure Hyper modifier keys
  - KEY: KEY_0
    TAP: KEY_TAB
    HOLD: KEY_1

  - KEY: KEY_1
    TAP: KEY_LEFTALT
    HOLD: KEY_1
    


# # Send CapsLock when holding 0

#   - KEY: KEY_0
#     TAP: KEY_0
#     HOLD: KEY_CAPSLOCK 


# Make Grave act as Minus
  - KEY: KEY_GRAVE
    TAP: KEY_MINUS
    HOLD: KEY_MINUS


# Make Keypad into one-handed navigation board
  # - KEY: KEY_KP1
  #   TAP: KEY_KP1
  #   HOLD: KEY_KP1

  - KEY: KEY_KP3
    TAP: KEY_RIGHTCTRL
    HOLD: KEY_RIGHTCTRL


    
# Put Hyper modifier on B-key
  - KEY: KEY_B
    TAP: KEY_B
    HOLD: KEY_0


# Put Meta modifier on 1-key
  - KEY: KEY_1
    TAP: KEY_1
    HOLD: KEY_1

